Subject: bug#6139: 24.0.50; tool-bar-style

From: Jan Djärv <[email-masked]>
Date: Sat, 08 May 2010 09:00:06 +0200

Are you running xsettings-kde? What kde-version?
Does it have the same behaviour if you change theme, and/or turn gtk-qt off?

	Jan D.

Stephen Berman skrev 2010-05-08 00.02:
> My latest update includes the new feature of configuring the tool bar to
> display text via the tool-bar-style variable, with the default value
> nil, meaning system default.  My desktop is KDE with the gtk-qt engine
> for GTK+ applications.  When I start Emacs with -Q, the tool bar over
> the *scratch* buffer has text below the icons, but as soon as I do any
> input event (cursor movement, mouse click, etc.), the text disappears.
> When I start Emacs with -q, when the tool bar appears in the frame there
> is text below the icons, but the text vanishes within a fraction of a
> second (before any input event from me).
>
> In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.18.6)
>   of 2010-05-07 on escher
> Windowing system distributor `The X.Org Foundation', version 11.0.10605000
> configured using `configure  '--without-toolkit-scroll-bars''
>
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: nil
>    value of $LC_NUMERIC: nil
>    value of $LC_TIME: nil
>    value of $LANG: en_US.UTF-8
>    value of $XMODIFIERS: @im=local
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: t
>
>
>
>